Auth with an approved OTP code
This endpoint is called by the initiating device after the OTP Code status is "Approved" to retrieve the authentication key (AuthKey) for the paired account.
After a successful authentication, the following headers must be included to register or update the user’s device:
- X-Device-Code: A unique identifier for the device.
- X-Device-Token: The Firebase device token used for push notifications.
- X-Device-Name: The name/model of the device.
- X-App-Version-Number: The version of the application.
- X-Os-Device: The operating system of the device (iOS, Android).
Path parameters
otpCodestringRequired
The OTP code value.
Header parameters
Brand-URLstringRequiredExample:
The brand URL of the request. This is used to identify the brand.
YOUR_BRAND_URLResponses
200
The request was successful.
application/json
The API result model with data.
successbooleanRead-onlyRequired
This is the flag to indicate whether the API call is successful or not.
statusCodeinteger · int32Read-onlyRequired
This is the HTTP status code. This is used to determine the status code to be returned to the client.
messagestring · min: 1Required
This is the message to be displayed to the user.
429
API call exceeded rate limit due to too many requests.
application/json
post
/api/v1/users/auth/passwordless/otp/{otpCode}/auth-with-otpLast updated